@echo off
cls
set choice=
echo.
set /p choice=Please type game folder path (e.g. c:\program files\Shaun White Skateboarding ):
7z a -sfx7z.sfx -m0=LZMA2:d=26 SWS_arc "%choice%\*.forge"
if ERRORLEVEL 1 goto error
echo.Done.
pause
move /y SWS_arc.exe .\SWS\ >nul
move /y layout.bin .\SWS\ >nul
move /y *.txt .\SWS\Support\ReadMe\Danish\ >nul
ren .\SWS\Support\DirectX\DXSETUP.exe DXSETUP_Install.exe
move /y DXSETUP.exe .\SWS\Support\DirectX\ >nul
cls
cd SWS
echo Repacking cabs... 
iscab data1.cab -i"list.ini" -a
echo.Done.
pause
del *.forge list.ini ISCAB.exe ISTools.dll MediaBuild40.dll data4.cab
cd..
cls
echo Creating ISO images...  0%%
CDIMAGE -l"SWS" -j1 -t11/2/2010 -h -x -o -m ".\SWS" "SWS.iso" >nul
if ERRORLEVEL 1 goto CDIerror
cls
echo Creating ISOs images...  100%%
echo.All done.
pause
rd /s /q SWS
goto EOF
:error
echo.
echo.WARNING: 7zip returns an error, please retry... 
pause
goto EOF
:CDIerror
echo WARNING: Creation of ISO Images failed , please retry... 
pause
:EOF
